#ifndef __WV_FRAME
#define __WV_FRAME

#include "Common.h"

#define	WVFInitialize(lpWvf)	ZeroMemory((lpWvf), sizeof(WVFRAME))

VOID	WVFFree(LPWVFRAME lpWvf);
BOOL	WVFAlloc(LPWVFRAME lpWvf, ULONG cSize);
INT		WVFHeaderPack(LPWVFRAME lpWvf, LPBYTE lpBuffer, ULONG cSize);	
INT		WVFHeaderUnpack(LPWVFRAME lpWvf, LPBYTE lpBuffer, ULONG cSize);	
BOOL	WVFCopy(LPWVFRAME lpDest, LPWVFRAME lpSrc);
#endif	// __WV_FRAME